API reference
Queue a coupon codes batch creation
Queues the generation of a batch of coupon codes. Returns a job; the codes are created in the background.
POST
/v1/coupons/{couponId}/codes/batchQueues the generation of a batch of coupon codes. Returns a job; the codes are created in the background.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
couponId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/coupons/string/codes/batch" \ -H "Content-Type: application/json" \ -d '{ "codes": [ "string" ] }'{ "id": "string", "status": "pending", "resource": "string", "format": "string", "createdOn": "2019-08-24T14:15:22Z"}